owfs (3.2p4+dfsg1-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop owfs-fuse package (Closes: #1084424)

  [ Vincent Danjean ]
  * Do not try to change old installs
  * Move adduser invocation in postinst (Closes: #1109097)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Nov 2025 14:08:39 +0100

owfs (3.2p4+dfsg1-6) unstable; urgency=medium

  * Acknowledge NMUs
  * bump debian version (-6) as the git repo has
    been tagged with -5 instead of -4.6
  * [debian/copyright] fix fsf address in copyright
  * [debian/lib*3.2-4t64] remove unused lintian overrides
  * [debian/ow-tools] add lintian override for wrong positive
  * [debian/control] bump Standards-Version (no change needed)
  * [debian/patches/*] add "Origin" or "Author" fields

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 May 2025 18:32:53 +0200

owfs (3.2p4+dfsg1-4.6) unstable; urgency=medium

  * Non-maintainer upload
  * Move adduser to Pre-Depends for preinst (Closes: #1094165)
  * Add Build-Depends: perl-xs-dev (Closes: #1102828)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 11:46:40 +0200

owfs (3.2p4+dfsg1-4.5) unstable; urgency=medium

  * Non-maintainer upload
  * Drop B-D: quilt

 -- Bastian Germann <bage@debian.org>  Tue, 21 May 2024 08:18:43 +0200

owfs (3.2p4+dfsg1-4.4) unstable; urgency=medium

  * Non-maintainer upload
  * Switch Build-Depends to systemd-dev (Closes: #1060503)
  * Rename libow-php7t64 to libow-php (Closes: #1003472)
  * lintian fixes

  [ Samuel Thibault ]
  * d/control: Generalize hurd-i386 into hurd-any

 -- Bastian Germann <bage@debian.org>  Wed, 15 May 2024 18:11:46 +0200

owfs (3.2p4+dfsg1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063182

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:41:12 +0000

owfs (3.2p4+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052701)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:27:35 +0100

owfs (3.2p4+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Correct PHP bindings description
  * d/watch: Scan GitHub tags

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libow-dev, libow-perl, libownet-dev: Add Multi-Arch: same.
    + libownet-perl, ow-tools, owfs-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 22:48:27 +0100

owfs (3.2p4+dfsg1-4) unstable; urgency=medium

  * Re-upload source-only now that NEW queue is passed

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Oct 2020 15:24:55 +0100

owfs (3.2p4+dfsg1-3) unstable; urgency=medium

  * Also disable again python3-ownet that also have python2 code

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Oct 2020 14:17:33 +0200

owfs (3.2p4+dfsg1-2) unstable; urgency=medium

  * Disabling python3-ow package (code still contains
    python2 code)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 09 Oct 2020 23:20:46 +0200

owfs (3.2p4+dfsg1-1) unstable; urgency=medium

  * New upstream release and re-add python3 (Closes: #971278)
  * Add --foreground option for systemd owserver service (Closes: #971513)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Oct 2020 23:18:30 +0200

owfs (3.2p3+dfsg1-6) unstable; urgency=medium

  * Fix "ftbfs with GCC-10" (Closes: #957654)
    a global variable was not correctly declared
  * Fix lintian reported glitches

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 23 Jul 2020 09:55:36 +0200

owfs (3.2p3+dfsg1-5) unstable; urgency=medium

  * Remove python support (Closes: #937225, #943612)
    python3 will be re-added when upstream correctly support it
    python2 is not supported anymore in Debian

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 11 Dec 2019 17:03:39 +0100

owfs (3.2p3+dfsg1-4) unstable; urgency=medium

  * Reupload as source-only

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 23 Aug 2019 21:41:00 +0200

owfs (3.2p3+dfsg1-3) unstable; urgency=medium

  * add -fPIC when compiling python modules (Closes: #932299)
  * Use debhelper-compat for dh supported version
  * bump Standards-Version
  * Fix systemd glitches found by lintian
  * Force correct LDFLAGS on python packages
  * Fix typo in manpages (for upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 25 Jul 2019 11:21:27 +0200

owfs (3.2p3+dfsg1-2) unstable; urgency=medium

  * Fix python raise syntax to support python3 (Closes: #916559)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Dec 2018 20:48:32 +0100

owfs (3.2p3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Vincent Danjean ]
  * Add Debian CI
  * d/watch: switch to github
  * Add support for python3

  [ upstream ]
  * v3.2p3 is mainly a bugfix & cleanup release.
  * New Functions
    + Added owcapi "OW_visible" method
    + PHP7 support
    + Add pkg-config entry for owcapi
  * Minor Fixes
    + Fixed OW_init() fail when parsing command line options before calling it
    + Fix glibc major() compat (Closes: #913105)
    + Fix uninstall in certain modules
    + Portable getpagesize
    + Fix generation of OW.pm
    + Add explicit avahi include dir, when enabled
    + Typos in manpages

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 Dec 2018 20:36:42 +0100

owfs (3.2p2-2) unstable; urgency=medium

  * Remove transitional owfs-dbg package
  * Make systemd service files uses /etc/owfs.conf (as was doing
    previous init scripts)
  * use Debian-ow user to run owftpd and owhttpd

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 22:10:39 +0200

owfs (3.2p2-1) unstable; urgency=medium

  * New upstream release (Closes: #908025)
  * Use upstream systemd init files (Closes: #834018)
  * compile with fdti support (Closes: #904850)
  * add owusbprobe into ow-shell
  * re-enable php binding (Closes: 823661)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 14:37:33 +0200

owfs (3.1p5-2) unstable; urgency=medium

  * Fix "owfs FTBFS with debhelper 10.9" (Closes: #876692)
    The libow-php5 was removed (see 3.1p1-4 below) but still in
    the dh_makeshlibs invocation (to be excluded...)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Oct 2017 22:12:41 +0200

owfs (3.1p5-1) unstable; urgency=medium

  * New upstream release
  * fix watch file to avoid to look at non-release files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jan 2017 23:32:07 +0100

owfs (3.1p4-1) unstable; urgency=medium

  * New upstream release
    + remove patches that upstream applied
    + rename libraies (new soname as for each upstream release)
  * Fix new typos found by lintian
  * Add missing "Breaks: libow-2.8-15" (wheezy package) for owfs-common
    as owfs-common take over its conffile (Closes: #838144)
  * Remove libfuse-dev B-D on hurd-i386 (unavailable). Lets see if the
    package still compile on this arch (Closes: #815466)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Sep 2016 12:39:49 +0200

owfs (3.1p1-6) unstable; urgency=medium

  * Fix lintian-found (minor) bugs

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 20:51:44 +0200

owfs (3.1p1-5) unstable; urgency=medium

  * really fix php dependencies (Thanks Logan Rosen)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 08:53:29 +0200

owfs (3.1p1-4) unstable; urgency=medium

  * Remove php bindings. Swig do not support php7 (yet) and Debian not
    no support php5 (any more) (Closes: #821523, #821691)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 07 May 2016 10:20:12 +0200

owfs (3.1p1-3) unstable; urgency=medium

  * Applying provided patch to fix crash when fuse options are provided
    (Closes: #815046) (thanks Matthew Gabeler-Lee)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Apr 2016 23:59:03 +0200

owfs (3.1p1-2) unstable; urgency=medium

  * fix kFreeBSD patch (upstream applied patch was not working with kFreeBSD)
  * enable avahi support in the package

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 18 Jan 2016 22:42:14 +0100

owfs (3.1p1-1) unstable; urgency=medium

  * New upstream version
    + fix bugs for w1 kernel interface
  * Refresh debian/patches/*
  * Dump soname (as done by upstream for each new release)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 17 Jan 2016 20:03:41 +0100

owfs (3.1p0-2) unstable; urgency=medium

  * apply/fix 'cme fix dpkg' notices
  * Switching to libusb 1.0 (Closes: #810450)
  * enable ddeb instead of the manual owfs-dbg debug package

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 12 Jan 2016 09:21:20 +0100

owfs (3.1p0-1) unstable; urgency=medium

  * New upstream release
    + refresh patches (and remove upstream applied ones)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 20 Jul 2015 15:21:14 +0200

owfs (2.9p8-6) unstable; urgency=medium

  * Hide ls error messages when nothing have to do done on
    upgrade (Closes: #769523)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 14 Nov 2014 18:54:21 +0100

owfs (2.9p8-5) unstable; urgency=medium

  * Add missing Breaks/Replaces required due to some files moved
    from the ow-shell package to the ow-tools one. This move occures
    in 2.9p5-1 (Closes: #768115)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 08 Nov 2014 23:09:09 +0100

owfs (2.9p8-4) unstable; urgency=medium

  * Fix "FTBFS[kfreebsd]: wrong ifdef __FreeBSD__" : using the good
    symbol, thanks Steven Chamberlain (Closes: #766910)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Oct 2014 08:18:46 +0100

owfs (2.9p8-3) unstable; urgency=medium

  * Trying to fix another incompatibility with FreeBSD with this
    new upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 26 Oct 2014 16:31:25 +0100

owfs (2.9p8-2) unstable; urgency=medium

  * make systemd dependency linux-any only (Closes: #766697)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 25 Oct 2014 10:36:53 +0200

owfs (2.9p8-1) unstable; urgency=medium

  * New upstream release
    + fix a nasty bug in owfs (filesystem)
    + will require a new round in NEW queue (sorry FTP Masters)
      as upstream uses a new soname for each release
      (by chance, there is no reverse dependencies in Debian, so
      no bin-NMU are required)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 19 Oct 2014 13:56:13 +0200

owfs (2.9p7-2) unstable; urgency=medium

  * remove README.source template
  * fix perl source file licenses in copyright and reorganize it
    (Closes: #765665)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 17 Oct 2014 15:08:15 +0200

owfs (2.9p7-1) unstable; urgency=medium

  * New (minor) upstream release
    + fix version parsing in python and perl modules (Closes: #765371)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 14 Oct 2014 18:57:13 +0200

owfs (2.9p5-1.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission

  * make DS1410_detect@Base symbol available only on Linux architectures.
    Fixes FTBFS on kfreebsd-*/hurd (Closes: #757571)

  * High urgency to help the perl 5.20 transition

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Aug 2014 08:30:50 +0000

owfs (2.9p5-1) unstable; urgency=medium

  * New upstream release
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libow-perl.install executable and use $Config{vendorarch}
    there (Closes: #752804)
    Thanks Gregor Herrmann <gregoa@debian.org> for the patch

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Jul 2014 13:27:43 +0200

owfs (2.9p1-2) unstable; urgency=medium

  * move TclTk scripts to an arch-indep package (Closes: #737400)
  * upload to unstable
  * Bump Standard-Version (no change needed)
  * Fix URLs in debian/control
  * add a Suggests on avahi-daemon in ow-server and document the --nozero
    option (closes: #646764)
  * recommands fuse instead of fuse-utils (Closes: #698180)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 02 Feb 2014 22:07:24 +0100

owfs (2.9p1-1) experimental; urgency=low

  * Imported Upstream version 2.9p1
  * Cleanup patches and symbol files

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 26 Jun 2013 23:52:10 +0200

owfs (2.9p0-1) experimental; urgency=low

  * Imported Upstream version 2.9p0
  * Update to new release 2.9-0
  * backport python fix in ownet

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 02 Apr 2013 21:19:59 +0200

owfs (2.8p17-1) experimental; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 09 Sep 2012 22:04:33 +0200

owfs (2.8p16-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jul 2012 00:03:04 +0200

owfs (2.8p15-1) unstable; urgency=low

  * New upstream release (thank Iztok Jeras for the notice)
    + refresh debian/patches/*
    + remove debian/patches/for-upstream_w1protection.patch (applied upstream)
  * switch to dh 9 (and multiarch for library packages)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 03 Jun 2012 23:03:41 +0200

owfs (2.8p14-4) unstable; urgency=medium

  * Closes: #662634: using patch provided by Ondřej Surý to get a correct
    dependency on phpapi (was broken with PHP 5.4)
  * Urgency set to medium due to this fix
  * Standards-Version dumped from 3.9.2 to 3.9.3 (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Mar 2012 16:15:45 +0100

owfs (2.8p14-3) unstable; urgency=low

  * Still adapting symbol list to kfreebsd

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 28 Feb 2012 00:25:28 +0100

owfs (2.8p14-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): libow.so: undefined reference to `w1_bind'"
    protected with #ifdef OW_W1 (Closes: #660857)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Feb 2012 22:48:38 +0100

owfs (2.8p14-1) unstable; urgency=low

  * New upstream release
  * No need to repackage the sources anymore: libdns_sd.dll is gone

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Feb 2012 00:33:18 +0100

owfs (2.8p13+dfsg1-5) unstable; urgency=low

  * also disable owtraffic at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 21:50:58 +0200

owfs (2.8p13+dfsg1-4) unstable; urgency=low

  * disable malloc debug at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 07:51:19 +0200

owfs (2.8p13+dfsg1-3) unstable; urgency=low

  * Fix python extension linkage
  * Fix wrong debian/*.install files so that a same file is not added is
    different packages (Closes: #640915)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 08 Sep 2011 23:18:22 +0200

owfs (2.8p13+dfsg1-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): symbol diff" (Closes: #640385)
    non-linux architectures do not have w1 support

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Sep 2011 20:59:13 +0200

owfs (2.8p13+dfsg1-1) unstable; urgency=low

  * remove src/scripts/windows/libdns_sd.dll from the tarball. This
    windows DLL is mDNSResponder-107.6 precompiled with a patch
    applied. But mDNSResponder-107.6 sources are not included in this package
    and the patch in available in upstream CVS (but not the released tarball).
    Upstream will probably remove this file in the next release.

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Sep 2011 21:08:19 +0200

owfs (2.8p13-2) unstable; urgency=low

  * Rebuild in clean environment

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 28 Aug 2011 18:03:32 +0200

owfs (2.8p13-1) unstable; urgency=low

  * New upstream release
  * Upload to Debian repo (Closes: #606189)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 22 Aug 2011 14:01:10 +0200

owfs (2.8p8-1) unstable; urgency=low

  * New upstream release
  * Cleanup init scripts, add doc about Debian setup

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 05 Apr 2011 16:35:15 +0200

owfs (2.8p7+cvs20110310-1) unstable; urgency=low

  * Snapshot taken from CVS

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Mar 2011 22:44:26 +0100

owfs (2.8p7-1) unstable; urgency=low

  * Initial release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 21 Nov 2010 23:04:19 +0100
